//shader file for ut_work
//	*********************************************************
//	*      Shaders Created 10-22-02 by slinki	*
// Index:
// Lights & Glows
// Glass, Steam & Water
// Fences & Grates
// Objects & Movers
//	*********************************************************


////////////////////////////////
//////Lights & Glows/////////
////////////////////////////////

textures/ut_work/rorsh_ctf_light03_blue
{
	qer_editorimage textures/ut_work/rorsh_ctf_light03.tga
	q3map_lightimage textures/ut_work/rorsh_ctf_light03_b.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_work/rorsh_ctf_light03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_work/rorsh_ctf_light03_b.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_work/rorsh_ctf_light03_red
{
	qer_editorimage textures/ut_work/rorsh_ctf_light03.tga
	q3map_lightimage textures/ut_work/rorsh_ctf_light03_r.tga
	q3map_surfacelight 200
	surfaceparm nomarks	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_work/rorsh_ctf_light03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_work/rorsh_ctf_light03_r.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_work/rorsh_4b_panel01_blue
{
	qer_editorimage textures/ut_work/rorsh_4b_panel01.tga
	{
		map textures/ut_work/rorsh_4b_panel01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ut_work/rorsh_4b_panel01_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 .5	
		depthfunc equal
	}
}

textures/ut_work/rorsh_4b_panel01_red
{
	qer_editorimage textures/ut_work/rorsh_4b_panel01.tga
	{
		map textures/ut_work/rorsh_4b_panel01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ut_work/rorsh_4b_panel01_r.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 .5	
		depthfunc equal
	}
}

textures/ut_work/rorsh_jpwall
{
	qer_editorimage textures/ut_work/rorsh_4_cwall03.tga	
	{
		map textures/ut_work/rorsh_4_cwall03.tga
		rgbGen identity
	}	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ut_work/rorsh_4_cwall03_fx.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll -0.65 0
	}	
}

textures/ut_work/rorsh_jpwall_red
{
	qer_editorimage textures/ut_work/rorsh_4_cwall03.tga	
	{
		map textures/ut_work/rorsh_4_cwall03.tga
		rgbGen identity
	}	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ut_work/rorsh_4_cwall03_fx_r.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll -0.65 0
	}	
}

textures/ut_work/rorsh_4b_trim04_blu
{
	qer_editorimage textures/ut_work/rorsh_4b_trim04.tga
	q3map_surfacelight 50
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_work/rorsh_4b_trim04.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_work/rorsh_4b_trim04_glow_b.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_work/rorsh_4b_trim04_red
{
	qer_editorimage textures/ut_work/rorsh_4b_trim04.tga
	q3map_surfacelight 50
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_work/rorsh_4b_trim04.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_work/rorsh_4b_trim04_glow_r.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_work/evil_rmetal_pnl
{
	qer_editorimage textures/ut_work/evil_rmetal2c.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_work/evil_rmetal2c.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_work/evil_rmetal2c_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_work/evil_rust_pipes
{
	qer_editorimage textures/ut_work/evil_rstpipes_lum.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_work/evil_rstpipes_lum.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_work/evil_rstpipes_lum_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_work/rorsh_hhm_light01
{
	qer_editorimage textures/ut_work/rorsh_hhm_light01.tga
	q3map_lightimage textures/rorsh_hhm_light01_bl.tga
	q3map_surfacelight 1400
	surfaceparm nomarks	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_work/rorsh_hhm_light01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_work/rorsh_hhm_light01_bl.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_work/light5_800
{
	qer_editorimage textures/base_light/light5.tga
//	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_work/sl_lightwave_200_blue
{
	qer_editorimage textures/ut_work/sl_lightwave_blue.tga
	q3map_lightimage textures/ut_work/sl_lightwave_blue.tga

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 100

	skyparms - - -
	light 1
}

textures/ut_work/sl_lightwave_200_red
{
	qer_editorimage textures/ut_work/sl_lightwave_red.tga
	q3map_lightimage textures/ut_work/sl_lightwave_red.tga

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 100

	skyparms - - -
	light 1
}

textures/ut_work/sl_lightwave_100_grey
{
	qer_editorimage textures/ut_work/sl_lightwave_grey.tga
	q3map_lightimage textures/ut_work/sl_lightwave_grey.tga

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 100

	skyparms - - -
	light 1
}

textures/ut_work/sl_lightwave_50_grey
{
	qer_editorimage textures/ut_work/sl_lightwave_grey.tga
	q3map_lightimage textures/ut_work/sl_lightwave_grey.tga

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 50

	skyparms - - -
	light 1
}

textures/ut_work/sl_lightwave_25_grey
{
	qer_editorimage textures/ut_work/sl_lightwave_grey.tga
	q3map_lightimage textures/ut_work/sl_lightwave_grey.tga

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 25

	skyparms - - -
	light 1
}

////////////////////////////////
//Glass, Steam & Water////
////////////////////////////////

textures/ut_work/glass_slinki
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
	cull none
	qer_trans 0.5
	surfaceparm nolightmap

	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/ut_work/sl_win_09
{
	qer_editorimage textures/ut_work/sl_win_09.tga
	q3map_lightimage textures/ut_work/sl_win_09_blend.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_work/sl_win_09.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_work/sl_win_09_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_work/sl_win_64
{
   qer_editorimage textures/ut_work/sl_win_09.tga
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_work/sl_win_09.tga
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_work/sl_win305
{
	qer_editorimage textures/ut_work/sl_win305.tga
	q3map_lightimage textures/ut_work/sl_win305_blend.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_work/sl_win305.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_work/sl_win305_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_work/invisowater
{
	qer_trans 0.50
        qer_editorimage textures/common/white.tga
        surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
        surfaceparm water
}

textures/ut_work/sl_falls
{
	qer_editorimage textures/ut_work/sl_falls.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
        deformVertexes move .5 .5 0  sin 0 0 0 0.1
        deformVertexes move .6 .5.3 0  sin 0 .1 0 0.4
	cull none
       
	{
		map textures/ut_work/sl_falls.tga
                tcMod Scroll .2 -1
                tcMod turb .25 .25 0 -.25
                blendFunc GL_ONE GL_ONE
        }
        {
		map textures/ut_work/sl_falls.tga
                tcMod Scroll .01 -1.3
               
                blendFunc GL_ONE GL_ONE
        }     
}

textures/ut_work/sl_ripple_water
	{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/ut_work/pool3d_sl.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	}

textures/ut_work/sl_steam1
{
	qer_editorimage textures/ut_work/sl_steam.tga	
	deformVertexes move 1 0 0 sin 30 30 .73 1
	cull none
	deformvertexes autosprite
	{ 
	map textures/ut_work/sl_steam.tga
	blendfunc blend
	tcmod rotate 360
        	rgbGen vertex
	alphaGen wave sin .2 .8 0 1	
	}
	{ 
	map textures/ut_work/sl_steam.tga
	blendfunc blend
	tcmod rotate -197
        	rgbGen vertex
	alphaGen wave sin .2 .8 0 1	
	}	
}

textures/ut_work/steam_fx_1
{
	qer_editorimage textures/ut_work/qer_steam_fx_1.tga
	qer_trans 0.4
	cull none
	deformVertexes autoSprite2
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	deformVertexes wave 50 sin 0 3 0 .3
	deformVertexes move .3 .1 0  sin 0 .5 0 0.2

	{
		map textures/ut_work/steam_fx_01.tga
		tcmod scroll 0 0.3
		blendFunc blend
		rgbGen vertex
	}
}

textures/ut_work/steam_fx_2
{
	qer_editorimage textures/ut_work/qer_steam_fx_1.tga
	qer_trans 0.4
	cull none
	deformVertexes autoSprite2
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	deformVertexes wave 50 sin 0 3 0 .3
	deformVertexes move .3 .1 0  sin 0 .5 0 0.2

	{
		map textures/ut_work/steam_fx_02.tga
		tcmod scroll 0 0.3
		blendFunc blend
		rgbGen vertex
	}

}
////////////////////////////////
///////Fences & Grates///////
////////////////////////////////

textures/ut_work/rorsh_4_grill
{
	qer_editorimage textures/ut_work/rorsh_4_grill.tga
	surfaceparm trans
	cull none
	nopicmip
	qer_trans 0.5

	{
	map textures/ut_work/rorsh_4_grill.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	}
}

textures/ut_work/kg_ovendoor
{
   qer_editorimage textures/ut_work/kg_ovendoor.tga
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_work/kg_ovendoor.tga
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_work/sl_evl_handrail
{
   qer_editorimage textures/ut_work/evil_mtlrail_rst.tga
   surfaceparm noimpact
   surfaceparm trans
   surfaceparm nomarks
   surfaceparm nonsolid
   cull none
   nopicmip

   {
      map textures/ut_work/evil_mtlrail_rst.tga
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_work/sl_ladder
{
	qer_editorimage textures/ut_work/sl_ladder.tga
	surfaceparm trans
	cull none
	nopicmip
	qer_trans 0.5

	{
	map textures/ut_work/sl_ladder.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	}
}

textures/ut_work/sl_cablecross
{
	qer_editorimage textures/ut_work/sl_cable.tga
	surfaceparm trans
	cull none
	nopicmip
	qer_trans 0.5

	{
	map textures/ut_work/sl_cable.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	}
}

////////////////////////////////
///////Terrain & Objects///////
////////////////////////////////

textures/ut_work/sl_clock
{
	qer_editorimage textures/ut_work/sl_clock.tga
	q3map_lightimage textures/ut_work/sl_clock_blend.tga
	q3map_surfacelight 20
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_work/sl_clock.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_work/sl_clock_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_work/rorsh_4_wires01
{
	qer_editorimage textures/ut_work/rorsh_4_wires01.tga
	q3map_lightimage textures/ut_work/rorsh_4_wires01_blend.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_work/rorsh_4_wires01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_work/rorsh_4_wires01_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_work/sl_conveyorbelt
{
	qer_editorimage textures/ut_work/sl_convey.tga	
	{
		map textures/ut_work/sl_convey.tga
		rgbGen identity
	}	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ut_work/sl_convey_belt.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll .07 0
	}	
}
